ch.qos.logback.core.spi

## Interface ContextAware

All Known Subinterfaces:
  Appender<E>, ArchiveRemover, Encoder<E>, EventEvaluator<E>, Layout<E>, LoggerContextAware, PropertyDefiner, ServerRunner<T>, TimeBasedFileNamingAndTriggeringPolicy<E>

All Known Implementing Classes:
  AbstractDiscriminator, AbstractEventEvaluatorAction, AbstractMatcherFilter, AbstractServerSocketAppender, AbstractSocketAppender, AbstractSSLSocketAppender, Action, AppenderAction, AppenderBase, AppenderRefAction, AsyncAppender, AsyncAppenderBase, BindDataSourceToJNDIAction, BlackCompositeConverter, BlueCompositeConverter, BoldBlueCompositeConverter, BoldCyanCompositeConverter, BoldGreenCompositeConverter, BoldMagentaCompositeConverter, BoldRedCompositeConverter, BoldWhiteCompositeConverter, BoldYellowCompositeConverter, CallerDataConverter, ClassicConverter, ClassOfCallerConverter, CompositeConverter, Compressor, ConcurrentServerRunner, ConfigurationAction, ConfigurationWatchList, ConnectionSourceBase, ConsoleAppender, ConsolePluginAction, ContextAwareBase, ContextAwareImpl, ContextBasedDiscriminator, ContextNameAction, ContextNameConverter, ContextPropertyAction, ContextUtil, ConversionRuleAction, CyanCompositeConverter, CyclicBufferAppender, DataSourceConnectionSource, DateConverter, DateTokenConverter, DBAppender, DBAppenderBase, DBUtil, DefaultArchiveRemover, DefaultDiscriminator, DefaultTimeBasedFileNamingAndTriggeringPolicy, DefinePropertyAction, DriverManagerConnectionSource, DuplicateMessageFilter, DynamicConverter, DynamicThresholdFilter, EchoEncoder, EchoLayout, ElseAction, EncoderBase, EvaluatorAction, EvaluatorFilter, EventEvaluatorBase, ExtendedThrowableProxyConverter, FileAppender, FileExistsPropertyDefiner, FileNamePattern, FileOfCallerConverter, FileUtil, Filter, FixedWindowRollingPolicy, ForegroundCompositeConverterBase, GenericConfigurator, GEventEvaluator, GrayCompositeConverter, GreenCompositeConverter, HighlightingCompositeConverter, HTMLLayout, HTMLLayoutBase, IdentityCompositeConverter, IfAction, ImplicitAction, IncludeAction, InsertFromJNDIAction, IntegerTokenConverter, InterpretationContext, JaninoEventEvaluator, JaninoEventEvaluatorBase, JMSAppenderBase, JMSQueueAppender, JMSTopicAppender, JMXConfigurator, JMXConfiguratorAction, JNDIBasedContextDiscriminator, JNDIConnectionSource, JoranConfigurator, JoranConfiguratorBase, LayoutBase, LayoutWrappingEncoder, LevelAction, LevelChangePropagator, LevelConverter, LevelFilter, LineOfCallerConverter, LineSeparatorConverter, ListAppender, LoggerAction, LoggerContextAwareBase, LoggerContextListenerAction, LoggerConverter, MagentaCompositeConverter, MarkerConverter, MarkerFilter, Matcher, MatchingFilter, MDCBasedDiscriminator, MDCConverter, MDCFilter, MessageConverter, MethodOfCallerConverter, NamedConverter, NestedBasicPropertyIA, NestedComplexPropertyIA, NewRuleAction, NOPAction, NOPAppender, NopThrowableInformationConverter, ObjectStreamEncoder, OnConsoleStatusListener, OnErrorConsoleStatusListener, OnErrorEvaluator, OnMarkerEvaluator, OutputStreamAppender, ParamAction, Parser, PatternLayout, PatternLayoutBase, PatternLayoutEncoder, PatternLayoutEncoderBase, PropertyAction, PropertyConverter, PropertyDefinerBase, PropertyEvalScriptBuilder, PropertySetter, ReceiverAction, ReceiverBase, ReconfigureOnChangeFilter, RedCompositeConverter, RelativeTimeConverter, RenameUtil, ReplacingCompositeConverter, ResourceExistsPropertyDefiner, RollingFileAppender, RollingPolicyBase, RootCauseFirstThrowableProxyConverter, RootLoggerAction, SaxEventRecorder, ServerSocketAppender, ServerSocketReceiver, SiftAction, SiftingAppender, SiftingAppenderBase, SiftingJoranConfigurator, SiftingJoranConfiguratorBase, SimpleRuleStore, SizeAndTimeBasedArchiveRemover, SizeAndTimeBasedFNATP, SizeBasedTriggeringPolicy, SMTPAppender, SMTPAppenderBase, SocketAppender, SocketReceiver, SSLParametersConfiguration, SSLServerSocketAppender, SSLServerSocketAppenderBase, SSLServerSocketReceiver, SSLSocketAppender, SSLSocketReceiver, StatusListenerAction, SyslogAppender, SyslogAppenderBase, SyslogStartConverter, ThenAction, ThenOrElseActionBase, ThreadConverter, ThresholdFilter, ThrowableHandlingConverter, ThrowableProxyConverter, TimeBasedArchiveRemover, TimeBasedFileNamingAndTriggeringPolicyBase, TimeBasedRollingPolicy, TimestampAction, TriggeringPolicyBase, TurboFilter, UnsynchronizedAppenderBase, WhiteCompositeConverter, XMLLayout, YellowCompositeConverter

    public interface ContextAware

An object which has a context and add methods for updating internal status messages.

### Method Summary

Methods
`void` `addError(java.lang.String msg)`
`void` `addError(java.lang.String msg, java.lang.Throwable ex)`
`void` `addInfo(java.lang.String msg)`
`void` `addInfo(java.lang.String msg, java.lang.Throwable ex)`
`void` `addStatus(Status status)`
`void` `addWarn(java.lang.String msg)`
`void` `addWarn(java.lang.String msg, java.lang.Throwable ex)`
`Context` `getContext()`
`void` `setContext(Context context)`

### Method Detail

#### setContext

    void setContext(Context context)

#### getContext

    Context getContext()

#### addStatus

    void addStatus(Status status)

#### addInfo

    void addInfo(java.lang.String msg)

#### addInfo

    void addInfo(java.lang.String msg,
               java.lang.Throwable ex)

#### addWarn

    void addWarn(java.lang.String msg)

#### addWarn

    void addWarn(java.lang.String msg,
               java.lang.Throwable ex)

#### addError

    void addError(java.lang.String msg)

#### addError

    void addError(java.lang.String msg,
                java.lang.Throwable ex)